ImageMagick Warning After PHP Update on Debian

My Mammoth VPS-hosted Debian box suddenly started throwing a PHP warning after a recent update – I have automatic aptitude package updates on so not exactly sure what changed (and I don’t have PHP error logging on for some reason, so not even sure when it changed, but I can see some other people pointing out the problem in the last month or so with a quick search). I started getting the following error:

PHP Warning: PHP Startup: Unable to load dynamic library ‘/usr/lib/php5/20060613+lfs/imagick.so’ – /usr/lib/php5/20060613+lfs/imagick.so: cannot open shared object file: No such file or directory in Unknown on line 0

I couldn’t see an obvious fix after a quick search so in the end just tried ‘apt-get install php5-imagick’, which seems to have fixed it.

Leave a Reply

Your email address will not be published. Required fields are marked *